Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.commands
Class GetAuditEventsByProcessInstanceIdCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<List<org.kie.internal.task.api.model.TaskEvent>>
          org.jbpm.services.task.audit.commands.GetAuditEventsByProcessInstanceIdCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<org.kie.internal.task.api.model.TaskEvent>>, Command<List<org.kie.internal.task.api.model.TaskEvent>>

    public class GetAuditEventsByProcessInstanceIdCommand

extends TaskCommand<List<org.kie.internal.task.api.model.TaskEvent>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetAuditEventsByProcessInstanceIdCommand()`
`GetAuditEventsByProcessInstanceIdCommand(long processInstanceId, org.kie.internal.query.QueryFilter filter)`

Method Summary
`List<org.kie.internal.task.api.model.TaskEvent>` | `execute(org.kie.internal.command.Context context)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetAuditEventsByProcessInstanceIdCommand

    public GetAuditEventsByProcessInstanceIdCommand()

### GetAuditEventsByProcessInstanceIdCommand

    public GetAuditEventsByProcessInstanceIdCommand(long processInstanceId,
                                                    org.kie.internal.query.QueryFilter filter)

Method Detail

### execute

    public List<org.kie.internal.task.api.model.TaskEvent> execute(org.kie.internal.command.Context context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.